### Method

# Ide TreeModel get_iter_for_node

#### Declaration

    gboolean
    ide_tree_model_get_iter_for_node (
      IdeTreeModel* self,
      GtkTreeIter* iter,
      IdeTreeNode* node
    )

#### Description

Gets a `GtkTreeIter` that points at `node`.

Available since: | 3.32

#### Parameters

`iter` | `GtkTreeIter`
| A `GtkTreeIter`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`node` | `IdeTreeNode`
| An `IdeTreeNode`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `iter` was set; otherwise `FALSE`.